package org.ids_mannheim;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class UtilsTest {

    @org.junit.jupiter.api.BeforeEach
    void setUp() {
    }

    @Test
    void randomFoldIsDeterministic() {
        assertEquals(404783, Utils.getFoldFromTextID("RPO05_JAN.00001", 1000000));
        assertEquals(404782, Utils.getFoldFromTextID("RPO05_JAN.00002", 1000000));
        assertEquals(404781, Utils.getFoldFromTextID("RPO05_JAN.00003", 1000000));
        assertEquals(404753, Utils.getFoldFromTextID("RPO05_JAN.00010", 1000000));
        assertEquals(936451, Utils.getFoldFromTextID("RPO05_JUN.00001", 1000000));
        assertEquals(936450, Utils.getFoldFromTextID("RPO05_JUN.00002", 1000000));
    }
}